Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class OpenJPADAO

    java.lang.Object
      org.apache.ode.dao.jpa.OpenJPADAO

Direct Known Subclasses:
  CorrelatorDAOImpl, EventDAOImpl, MessageExchangeDAOImpl, ProcessDAOImpl, ProcessInstanceDAOImpl, ScopeDAOImpl

    public class OpenJPADAO

extends java.lang.Object

Constructor Summary
`OpenJPADAO()`

Method Summary
`protected
`<T> void`
` | `batchUpdateByIds(java.util.Iterator<T> ids, javax.persistence.Query query, java.lang.String parameterName)`
`protected BPELDAOConnectionImpl` | `getConn()`
`protected javax.persistence.EntityManager` | `getEM()`
`protected
`<T> T`
` | `getSingleResult(javax.persistence.Query qry)` javax.persistence.Query either let you query for a collection or a single value throwing an exception if nothing is found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenJPADAO

    public OpenJPADAO()

Method Detail

### getConn

    protected BPELDAOConnectionImpl getConn()

### getEM

    protected javax.persistence.EntityManager getEM()

### getSingleResult

    protected <T> T getSingleResult(javax.persistence.Query qry)

  javax.persistence.Query either let you query for a collection or a single value throwing an exception if nothing is found. Just a convenient shortcut for single results allowing null values

  Parameters:
    `qry` - query to execute
  Returns:
    whatever you assign it to

### batchUpdateByIds

    protected <T> void batchUpdateByIds(java.util.Iterator<T> ids,
                                        javax.persistence.Query query,
                                        java.lang.String parameterName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD